/* Load the Metadata into the Modal */
$(document).on('click', '.external', function (e) {
    e.preventDefault()
    let url = $(this).attr('href')
    $.getJSON(url, function (result) {
            $('#loading').show()
            var data = []
            // Constants for the jsonMetadata div
            let metadata = ''

            // Build the html for each metadata field
            $.each(result, function (index, value) {
                if (index !== 'content' && index !== 'content_scrubbed') {
                    metadata += '<strong>' + index + ':</strong> ' + value + '<br>'
                }
            })

            // Insert the metadata into the DOM and initialise the Bootstrap Table
            $('#jsonMetadata').html(metadata)
        
            // Add the link to the json file
            $('#newWindowLink').attr('href', url)

            // Remove the content section and header
            $('#jsonMetadata').next().remove()
            $('#jsonContent').remove()

            // Open the modal and hide the loading message
            $('#jsonDoc').modal()
            $('#loading').hide()
        })
        .fail(function () {
            alert('You do not have access to this file or the file could not be found.')
        })
})

/* Handle the check box to show punctuation and spaces */
$(document).on('change', '#show-punct', function () {
    if ($(this).prop('checked') == true) {
        // Remove the tabel filter
        $('#featureTable').bootstrapTable('filterBy', {})
    } else {
        // Get the data and re-create the POS list without PUNCT and SPACE
        let data = $('#featureTable').bootstrapTable('getData')
        let pos_tags = []
        $.each(data, function (i, v) {
            pos_tags.push(v['pos'])
        })
        pos_tags = pos_tags.filter(function (value) {
            return value !== 'PUNCT' && value !== 'SPACE'
        })
        // Filter the table
        $('#featureTable').bootstrapTable('filterBy', {
            'pos': pos_tags
        })
    }
})

/* Handle tooltip labels */
$(document).on('mouseenter', '.tv-top-word-label', function () {
    $(this).tooltip('show')
})
globalMouseEventHandler()